summaryrefslogtreecommitdiffstats
path: root/src/opkbuild.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2024-02-21 23:00:37 (EST)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2024-02-21 23:00:37 (EST)
commit5ac77b54f0fa4def4c4fe48fd8dddb700358c8f3 (patch)
tree7f87286b662e1756d9f546f0adb0faef21121c03 /src/opkbuild.sh
parente7250eaeebaca1448ed2acc95c949cc47719bc2c (diff)
opkbuild: Run ob-checkbuilddeps regardless of -dHEADmaster
Just don't exit on ob-checkbuilddeps failure if -d is specified.
Diffstat (limited to 'src/opkbuild.sh')
-rw-r--r--src/opkbuild.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index 2bd9c48..5b368fc 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -424,8 +424,8 @@ main()
if [ x"${opt_build}" != x'source' ]; then
print_arch_stats
- if "${opt_check_build_deps}"; then
- if ! "${bindir}/ob-checkbuilddeps"; then
+ if ! "${bindir}/ob-checkbuilddeps"; then
+ if "${opt_check_build_deps}"; then
return 1
fi
fi